<template>
  <section id="sobre" class="about container mx-auto">
    <h2 class="about-title">
      Por que o Cursinho Poli USP?
    </h2>
    <div class="container mx-auto about-cards">
      <AboutCard
        v-for="card in cards"
        :key="card.id"
        :icon="card.icon"
        :text="card.text"
      />
    </div>
  </section>
</template>

<script>
import AboutCard from "../blocks/AboutCard.vue";

export default {
  name: "about",
  components: {
    AboutCard
  },
  data() {
    return {
      cards: [
        {
          id: 1,
          icon: "checked",
          text:
            "O Cursinho da Poli USP é um cursinho preparatório para o vestibular de todas as áreas: Biológicas, Exatas e Humanas"
        },
        {
          id: 2,
          icon: "calendar",
          text:
            "O curso preparatório para vestibular dura o ano todo, de março a dezembro, com aulas de segunda à sexta, das 18:00 às 22:40"
        },
        {
          id: 3,
          icon: "presentation",
          text:
            "São diversas atividades extras: simulados, aulas e palestras aos sábados; plantão de dúvidas de todas as matérias de segunda à quinta"
        },
        {
          id: 4,
          icon: "bar-chart",
          text:
            "As turmas de reforço do Ensino Fundamental II e Médio, de agosto a dezembro, voltado para alunos do Ensino Médio, de segunda a sexta, das 18:00 às 22:40"
        },
        {
          id: 5,
          icon: "book",
          text:
            "O cursinho preparatório para vestibular tem material didático Etapa, e as turmas de reforço têm material de preparação dos próprios professores"
        }
      ]
    };
  }
};
</script>

<style lang="postcss" >
.about {
  color: var(--l-complementar);
  @apply flex flex-col h-auto justify-around;
}

.about-title {
  @apply text-center m-0 p-6;
}

.about-cards {
  @apply flex flex-col flex-no-wrap justify-start items-center;
}

.svg {
  fill: var(--l-complementar);
}

@screen md {
  .about-cards {
    @apply flex-row flex-wrap justify-around;
  }
}

@screen lg {
  .about-cards {
    @apply px-24;
    box-sizing: border-box;
  }

  .about-title {
    @apply text-6xl;
  }
}
</style>
